--
-- 
-- ___________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ___________________________________________________________________
--
--
--
-- 
-- Fichier :  n°1/2
-- Type : DML
-- Schéma modifié :  RECHERCHE, GRHUM
-- Schéma d'execution du script : GRHUM
-- Numéro de version : 1.0.0
-- Date de publication :  01/04/2012
-- Licence : CeCILL version 2
--
--

----------------------------------------------
-- 
-- 
----------------------------------------------

-- les grants  
grant references, select on grhum.etudiant to RECHERCHE;
grant select,references,insert, update, delete on grhum.repart_association to RECHERCHE;
grant select,references,insert, update, delete on grhum.association to RECHERCHE;
grant select, references, insert, update, delete on grhum.association_reseau to RECHERCHE;
grant select, references on grhum.individu_ulr to RECHERCHE;
grant select, references on grhum.structure_ulr to RECHERCHE;
grant select, references on grhum.grade to RECHERCHE;
grant select, references on grhum.corps to RECHERCHE;

grant references, select on garnuche.historique to RECHERCHE;
grant references, select on garnuche.insc_dipl to RECHERCHE;
grant references, select on garnuche.type_inscription to RECHERCHE;
grant references, select on garnuche.garnuche_parametres to RECHERCHE;

grant references, select on scolarite.SCOL_FORMATION_DIPLOME to RECHERCHE;
grant references, select on scolarite.SCOL_FORMATION_SPECIALISATION to RECHERCHE;
grant references, select on scolarite.SCOL_FORMATION_ANNEE to RECHERCHE;
grant references, select on scolarite.SCOL_FORMATION_GRADE to RECHERCHE;
grant references, select on scolarite.SCOL_FORMATION_FILIERE to RECHERCHE;

grant select, references, delete, insert, update on ACCORDS.AVENANT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AVENANT_DOCUMENT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AVENANT_EVENEMENT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AVENANT_PART_CONTACT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AVENANT_PARTENAIRE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AVENANT_TYPE_STAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.AXE_STAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.CONTRAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.EVENEMENT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.EXERCICE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.FRAIS_GESTION to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.HISTO_CREDIT_POSITIONNE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.HISTO_CREDIT_POSIT_REC to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.MODE_GESTION to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.NATURE_CONVENTION to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.NATURE_EVENEMENT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.ORGAN_JEFYS to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.PARAMETRES to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.REPART_INDIVIDU_EVT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.SB_DEPENSE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.SB_RECETTE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TRANCHE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TRANCHE_BUDGET to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TRANCHE_BUDGET_REC to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_AVENANT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_AXE_STAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_CONTACT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_CONTRAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_PARTENAIRE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_RECONDUCTION to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_STAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.UTILISATEUR_FONCT_CONTRAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.VERSION_HISTO to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.CONTRAT_PARTENAIRE to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.CONTRAT_PART_CONTACT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.TYPE_CLASSIFICATION_CONTRAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.INDICATEURS_CONTRAT to RECHERCHE;
grant select, references, delete, insert, update on ACCORDS.REPART_INDICATEURS_CONTRAT to RECHERCHE;

-- Les séquences 
CREATE SEQUENCE RECHERCHE.DOCTORANT_THESE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DOCTORANT_STATUT_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DOCTORANT_ORIGINE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DOCTORANT_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.THESE_DOMAINE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DIRECTEUR_THESE_HABILITE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DIRECTEUR_THESE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.THESE_MENTION_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.MEMBRE_JURY_THESE_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.THESE_TYPE_CONTRAT_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DOCTORANT_FINANCEMENT_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.DOCTORANT_FINANCEUR_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
CREATE SEQUENCE RECHERCHE.TYPE_FINANCEMENT_SEQ INCREMENT BY 1 START WITH 1 MINVALUE 1 NOCACHE;
	

CREATE TABLE RECHERCHE.DOCTORANT_STATUT 
(	ID_STATUT NUMBER, 
LIB_STATUT VARCHAR2(120 BYTE) NOT NULL ENABLE, 
CODE_STATUT VARCHAR2(10 BYTE) NOT NULL ENABLE, 
 CONSTRAINT PK_STATUT_DOCTORANT PRIMARY KEY (ID_STATUT) ENABLE
) ;
COMMENT ON COLUMN RECHERCHE.DOCTORANT_STATUT.ID_STATUT IS 'identifiant';
COMMENT ON COLUMN RECHERCHE.DOCTORANT_STATUT.ID_STATUT IS 'Date prévisionnelle de soutenance';

CREATE TABLE RECHERCHE.DOCTORANT_ORIGINE 
(	ID_ORIGINE NUMBER, 
LIB_ORIGINE VARCHAR2(120 BYTE) NOT NULL ENABLE, 
CODE_ORIGINE VARCHAR2(10 BYTE), 
 CONSTRAINT PK_ORIGINE_DOCTORANT PRIMARY KEY (ID_ORIGINE) ENABLE
) ;

CREATE TABLE RECHERCHE.THESE_MENTION 
(	ID_MENTION NUMBER, 
LIB_MENTION VARCHAR2(100 BYTE) NOT NULL ENABLE, 
TEM_SUCCES VARCHAR2(1 BYTE) NOT NULL ENABLE, 
 CONSTRAINT PK_THESE_MENTION PRIMARY KEY (ID_MENTION) ENABLE
) ;

CREATE TABLE RECHERCHE.DOCTORANT 
(	ID_DOCTORANT NUMBER NOT NULL ENABLE, 
ID_STATUT NUMBER, 
ID_ORIGINE NUMBER, 
HIST_NUMERO NUMBER, 
DATE_ANNULATION DATE, 
NO_INDIVIDU NUMBER NOT NULL ENABLE, 
ETUD_NUMERO NUMBER, 
ANNEE_INSC_THESE NUMBER NOT NULL ENABLE, 
ANNEE_M2 NUMBER, 
 CONSTRAINT DOC_DOCTORANT_PK PRIMARY KEY (ID_DOCTORANT) ENABLE, 
 CONSTRAINT DOCTORANT_INDIVIDU_ULR_FK1 FOREIGN KEY (NO_INDIVIDU)
  REFERENCES GRHUM.INDIVIDU_ULR (NO_INDIVIDU) DEFERRABLE INITIALLY DEFERRED ENABLE, 
 CONSTRAINT DOCTORANT_ETUDIANT_FK1 FOREIGN KEY (ETUD_NUMERO)
  REFERENCES GRHUM.ETUDIANT (ETUD_NUMERO) DEFERRABLE INITIALLY DEFERRED ENABLE, 
 CONSTRAINT DOCTORANT_ORIGINE_DOCTORA_FK1 FOREIGN KEY (ID_ORIGINE)
  REFERENCES RECHERCHE.DOCTORANT_ORIGINE (ID_ORIGINE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
 CONSTRAINT DOCTORANT_STATUT_DOCTORAN_FK1 FOREIGN KEY (ID_STATUT)
  REFERENCES RECHERCHE.DOCTORANT_STATUT (ID_STATUT) DEFERRABLE INITIALLY DEFERRED ENABLE
) ;

CREATE TABLE RECHERCHE.THESE_DOMAINE 
(	ID_THESE_DOMAINE NUMBER, 
LIBELLE_DOMAINE VARCHAR2(200 BYTE) NOT NULL ENABLE, 
OPTION_DOMAINE VARCHAR2(150 BYTE), 
TEM_VALIDE VARCHAR2(1 BYTE) DEFAULT 'O' NOT NULL ENABLE, 
 CONSTRAINT PK_THESE_DOMAINE PRIMARY KEY (ID_THESE_DOMAINE) ENABLE
) ;


CREATE TABLE RECHERCHE.DOCTORANT_THESE 
(	ID_THESE NUMBER, 
ID_DOCTORANT NUMBER NOT NULL ENABLE, 
CON_ORDRE NUMBER NOT NULL ENABLE, 
ID_THESE_DOMAINE NUMBER NOT NULL ENABLE, 
ID_MENTION NUMBER, 
ANNEE_REF_OBTENTION NUMBER, 
NUMERO_DIPLOME NUMBER, 
C_RNE_DELIVRE_DIPLOME VARCHAR2(20 BYTE), 
FDIP_CODE VARCHAR2(7 BYTE), 
DATE_PREV_SOUTENANCE DATE, 
DATE_SOUTENANCE DATE, 
OBSERVATIONS_SOUTENANCE VARCHAR2(2000 BYTE), 
CONTRACTUEL VARCHAR2(1)  DEFAULT 'N',
COTUTELLE VARCHAR2(1)  DEFAULT 'N',
PRSC_ORDRE NUMBER,
LIEU_SOUTENANCE VARCHAR2(200),
RESUME_THESE CLOB,
 CONSTRAINT PK_DOCTORANT_THESE PRIMARY KEY (ID_THESE) ENABLE,
 CONSTRAINT DOCTORANT_THESE_THESE_DOM_FK1 FOREIGN KEY (ID_THESE_DOMAINE)
  REFERENCES RECHERCHE.THESE_DOMAINE (ID_THESE_DOMAINE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
 CONSTRAINT DOCTORANT_THESE_CONTRAT_FK1 FOREIGN KEY (CON_ORDRE)
  REFERENCES ACCORDS.CONTRAT (CON_ORDRE) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED ENABLE,
 CONSTRAINT DOCTORANT_THESE_PROJET_FK1 FOREIGN KEY (PRSC_ORDRE)
  REFERENCES RECHERCHE.PROJET_SCIENTIFIQUE (PRSC_ORDRE) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED ENABLE,
 CONSTRAINT DOCTORANT_THESE_MENTION_FK1 FOREIGN KEY (ID_MENTION)
  REFERENCES RECHERCHE.THESE_MENTION (ID_MENTION) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED ENABLE
) ;


COMMENT ON COLUMN RECHERCHE.DOCTORANT_THESE.DATE_PREV_SOUTENANCE IS 'Date prévisionnelle de soutenance';
COMMENT ON COLUMN RECHERCHE.DOCTORANT_THESE.DATE_SOUTENANCE IS 'Date effective de la soutenance';   
COMMENT ON COLUMN RECHERCHE.DOCTORANT_THESE.CONTRACTUEL IS '1 si contractuel 0 si non contractuel';   
 
CREATE TABLE RECHERCHE.DIRECTEUR_THESE_HABILITE 
(
  ID_DTH NUMBER NOT NULL 
, NO_INDIVIDU NUMBER NOT NULL 
, NO_INDIVIDU_UTILISATEUR NUMBER NOT NULL 
, DATE_HDR DATE 
, TEM_VALIDE VARCHAR2(1 BYTE) DEFAULT 'O' NOT NULL 
, C_STRUCTURE_LABO VARCHAR2(10 BYTE) 
, LABO_EXTERNE_DTH VARCHAR2(150 BYTE) 
, C_RNE VARCHAR2(8 BYTE) 
, C_STRUCTURE_ETAB VARCHAR2(8 BYTE) 
, C_STRUCTURE_ED VARCHAR2(10) NOT NULL 
, CONSTRAINT PK_DTH PRIMARY KEY (ID_DTH) ENABLE,
  CONSTRAINT FK_ETAB_DIRTH FOREIGN KEY(C_STRUCTURE_ETAB)
	REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED ENABLE,
  CONSTRAINT FK_ED_DIRTH FOREIGN KEY(C_STRUCTURE_ED)
	REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED ENABLE,
  CONSTRAINT FK_LABO_DIRTH FOREIGN KEY(C_STRUCTURE_LABO)
	REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED ENABLE,
  CONSTRAINT FK_INDADM_DTH FOREIGN KEY(NO_INDIVIDU_UTILISATEUR)
	REFERENCES GRHUM.INDIVIDU_ULR(NO_INDIVIDU) DEFERRABLE INITIALLY DEFERRED ENABLE,
  CONSTRAINT FK_IND_DTH FOREIGN KEY (NO_INDIVIDU)
	REFERENCES GRHUM.INDIVIDU_ULR(NO_INDIVIDU )DEFERRABLE INITIALLY DEFERRED ENABLE,
  CONSTRAINT CHK_DTH_TEM_VALIDE CHECK (TEM_VALIDE IN ('O', 'N')) ENABLE
);

COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.ID_DTH IS 'clé directeur de these habilité';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.NO_INDIVIDU IS 'no_individu du directeur habilite';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.NO_INDIVIDU_UTILISATEUR IS 'no_individu de l''adm de l''application qui a effectue l''operation';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.DATE_HDR IS 'date obtention HDR';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.TEM_VALIDE IS 'temoin de validite (O,N)';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.C_STRUCTURE_LABO IS 'c_structure si labo interne';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.LABO_EXTERNE_DTH IS 'libelle labo si externe';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.C_RNE IS 'C_RNE etablissement si francais';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.C_STRUCTURE_ETAB IS 'c_structure etablissement si etranger';
COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE_HABILITE.C_STRUCTURE_ED IS 'c_structure ecole doctorale';   
   

  CREATE TABLE RECHERCHE.DIRECTEUR_THESE 
   (	ID_DIRECTEUR NUMBER NOT NULL ENABLE, 
	CP_ORDRE NUMBER NOT NULL ENABLE, 
	C_STRUCTURE_LABO VARCHAR2(10 BYTE), 
	LIBELLE_LABO VARCHAR2(120 BYTE), 
	C_RNE VARCHAR2(8 BYTE), 
	C_STRUCTURE_ETAB VARCHAR2(10 BYTE), 
	ID_THESE NUMBER NOT NULL ENABLE, 
	COMMENTAIRE VARCHAR2(512 BYTE), 
	 CONSTRAINT PK_DIRECTEUR_THESE PRIMARY KEY (ID_DIRECTEUR) ENABLE, 
	 CONSTRAINT FK_C_PART FOREIGN KEY (CP_ORDRE)
	  REFERENCES ACCORDS.CONTRAT_PARTENAIRE (CP_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_LABO_DIR FOREIGN KEY (C_STRUCTURE_LABO)
	  REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_ETAB_DIR FOREIGN KEY (C_STRUCTURE_ETAB)
	  REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_THESE_DIR FOREIGN KEY (ID_THESE)
	  REFERENCES RECHERCHE.DOCTORANT_THESE (ID_THESE) DEFERRABLE INITIALLY DEFERRED ENABLE
   ) ;


   COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE.CP_ORDRE IS 'cp_ordre de accords.contrat_partenaire';
   COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE.C_RNE IS 'code etablissement du directeur de these : grhum.rne';
   COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE.C_STRUCTURE_ETAB IS 'c_structure etablissement si etranger';
   COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE.C_STRUCTURE_LABO IS 'c_structure du structure_ulr du labo';
   COMMENT ON COLUMN RECHERCHE.DIRECTEUR_THESE.LIBELLE_LABO IS 'libelle labo au cas ou structure inconnue';

  CREATE TABLE RECHERCHE.MEMBRE_JURY_THESE (
  	MJT_ORDRE NUMBER NOT NULL ENABLE,
	ID_THESE NUMBER NOT NULL ENABLE, 
	CP_ORDRE NUMBER NOT NULL ENABLE, 
	TEM_ENSEIGNANT VARCHAR2(1 BYTE) NOT NULL ENABLE,
    C_CORPS VARCHAR2(4 BYTE) NOT NULL ENABLE,    
    TITRE_SPECIAL VARCHAR2(300 BYTE),
    RAPPORTEUR_SEANCE VARCHAR2(1 BYTE) NOT NULL ENABLE,
	 CONSTRAINT PK_MEMBRE_JURY_THESE PRIMARY KEY (MJT_ORDRE) ENABLE, 
	 CONSTRAINT FK_MJT_CORPS FOREIGN KEY (C_CORPS)
	  REFERENCES GRHUM.CORPS (C_CORPS) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_MJT_CONTRAT_PARTENAIRE FOREIGN KEY (CP_ORDRE)
	  REFERENCES ACCORDS.CONTRAT_PARTENAIRE (CP_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_MJT_THESE FOREIGN KEY (ID_THESE)
	  REFERENCES RECHERCHE.DOCTORANT_THESE (ID_THESE) DEFERRABLE INITIALLY DEFERRED ENABLE

  );

   COMMENT ON TABLE RECHERCHE.MEMBRE_JURY_THESE IS 'table regroupant les membres du jury et les rapporteurs pour stocker leurs titres et la notion enseignant oui/non';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.MJT_ORDRE IS 'cle primaire';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.ID_THESE IS 'identifiant de la these -> recherche.DOCTORANT_THESE';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.CP_ORDRE IS 'cp_ordre de accords.contrat_partenaire';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.TEM_ENSEIGNANT IS 'O is enseignant, N si autre';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.C_CORPS IS 'corps de l''individu ->GRHUM.CORPS';
   COMMENT ON COLUMN RECHERCHE.MEMBRE_JURY_THESE.TITRE_SPECIAL IS 'Titre non officiel pour les succeptibles et autres cas spéciaux';


  CREATE TABLE RECHERCHE.THESE_TYPE_CONTRAT 
   (	
   	ID_TTC NUMBER, 
	LIB_TYPE_CONTRAT VARCHAR2(100 BYTE) NOT NULL ENABLE,
	TEM_VALIDE VARCHAR2(1) DEFAULT 'O' NOT NULL ENABLE, 
	 CONSTRAINT PK_THESE_TYPE_CONTRAT PRIMARY KEY (ID_TTC) ENABLE
   ) ;

   COMMENT ON COLUMN RECHERCHE.THESE_TYPE_CONTRAT.ID_TTC IS 'id';
   COMMENT ON COLUMN RECHERCHE.THESE_TYPE_CONTRAT.LIB_TYPE_CONTRAT IS 'libelle du type de contrat';
   COMMENT ON COLUMN RECHERCHE.THESE_TYPE_CONTRAT.TEM_VALIDE IS 'O : Valide, N : Invalidé';

  CREATE TABLE RECHERCHE.TYPE_FINANCEMENT 
   (	
   	ID_TYPE_FINANCEMENT NUMBER, 
   	LIBELLE_TYPE_FINANCEMENT VARCHAR2(100),
   	TYPE_FINANCEMENT VARCHAR2(1),
	 CONSTRAINT PK_TF PRIMARY KEY (ID_TYPE_FINANCEMENT) ENABLE
   );
   COMMENT ON COLUMN RECHERCHE.TYPE_FINANCEMENT.ID_TYPE_FINANCEMENT IS 'id';
   COMMENT ON COLUMN RECHERCHE.TYPE_FINANCEMENT.LIBELLE_TYPE_FINANCEMENT IS 'libelle du type de financement';
   COMMENT ON COLUMN RECHERCHE.TYPE_FINANCEMENT.TYPE_FINANCEMENT IS 'O : financement, N : pas de financement';

  CREATE TABLE RECHERCHE.DOCTORANT_FINANCEMENT 
   (	
   	ID_FINANCEMENT NUMBER, 
	AVT_ORDRE NUMBER,
	ID_TYPE_FINANCEMENT NUMBER,
	COMMENTAIRE_SANS_FINANCEMENT VARCHAR2(500), 
	ID_TTC NUMBER,
	CP_ORDRE NUMBER,
	RAS_ID NUMBER,

	 CONSTRAINT PK_DOCTORANT_FINANCEMENT PRIMARY KEY (ID_FINANCEMENT) ENABLE,
	 CONSTRAINT FK_DOCTFIN_TTC FOREIGN KEY (ID_TTC)
	  REFERENCES RECHERCHE.THESE_TYPE_CONTRAT (ID_TTC) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFIN_TF FOREIGN KEY (ID_TYPE_FINANCEMENT)
	  REFERENCES RECHERCHE.TYPE_FINANCEMENT (ID_TYPE_FINANCEMENT) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFIN_AVT FOREIGN KEY (AVT_ORDRE)
	  REFERENCES ACCORDS.AVENANT (AVT_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFIN_CP FOREIGN KEY (CP_ORDRE)
	  REFERENCES ACCORDS.CONTRAT_PARTENAIRE (CP_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFIN_RAS FOREIGN KEY (RAS_ID)
	  REFERENCES GRHUM.REPART_ASSOCIATION (RAS_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
   );

   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.ID_FINANCEMENT IS 'id';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.AVT_ORDRE IS 'Avenant FK -> accords.avenant ';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.ID_TYPE_FINANCEMENT IS 'type financement FK -> recherche.type_financement';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.COMMENTAIRE_SANS_FINANCEMENT IS 'commentaire si pas de financement';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.ID_TTC IS 'type de contrat FK -> recherche.these_type_contrat';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEMENT.CP_ORDRE IS 'structure employeur FK -> accords.contrat_partenaire ';

  CREATE TABLE RECHERCHE.DOCTORANT_FINANCEUR 
   (	
   	ID_FINANCEUR NUMBER, 
   	ID_FINANCEMENT NUMBER NOT NULL ENABLE, 
    CP_ORDRE NUMBER NOT NULL ENABLE,
    RAS_ID NUMBER NOT NULL ENABLE,
	 CONSTRAINT PK_DOCTORANT_FINANCEUR PRIMARY KEY (ID_FINANCEUR) ENABLE,
	 CONSTRAINT FK_DOCTFINR_FIN FOREIGN KEY (ID_FINANCEMENT)
	  REFERENCES RECHERCHE.DOCTORANT_FINANCEMENT (ID_FINANCEMENT) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFINR_CP FOREIGN KEY (CP_ORDRE)
	  REFERENCES ACCORDS.CONTRAT_PARTENAIRE (CP_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_DOCTFINR_RAS FOREIGN KEY (RAS_ID)
	  REFERENCES GRHUM.REPART_ASSOCIATION (RAS_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
  );

   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEUR.ID_FINANCEUR IS 'id';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEUR.ID_FINANCEMENT IS 'financement FK -> recherche.doctorant_financement ';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEUR.CP_ORDRE IS 'financeur FK -> accords.contrat_partenaire ';
   COMMENT ON COLUMN RECHERCHE.DOCTORANT_FINANCEUR.RAS_ID IS 'financeur FK -> grhum.repart_association ';






-- Les vues
CREATE OR REPLACE FORCE VIEW "RECHERCHE"."V_SCOL_INSCRIPTION_ETUDIANT" ("FDIP_CODE", "NO_INDIVIDU", "ETUD_NUMERO", "HIST_NUMERO", "FANN_KEY", "SALARIE", "FDOM_CODE", "GRADE", "FGRA_CODE", "NIVEAU", "ABREVIATION", "FORMATION", "MENTION", "SPECIALITE", "TYPE_INSCRIPTION", "SPECIALISATION", "FSPN_KEY") AS 
  SELECT /* + FIRST_ROWS */
     fd.fdip_code,
     e.no_individu,
     e.etud_numero,
     h.hist_numero,
     fa.fann_key,
     h.hist_salarie,
     fd.fdom_code,
     DECODE(fdip_type,'C',fg2.ffil_libelle,fg1.fgra_libelle),
     fd.fgra_code,
     n.idipl_annee_suivie,
     fd.fdip_abreviation,
     fd.fdip_libelle,
     fd.fdip_mention,
     fd.fdip_specialite,
     t.libelle_inscription,
     fs.fspn_libelle,
     fs.fspn_key
FROM
     grhum.etudiant e,
     garnuche.historique h,
     garnuche.insc_dipl n,
     garnuche.type_inscription t,
     scolarite.SCOL_FORMATION_DIPLOME fd,
     scolarite.SCOL_FORMATION_SPECIALISATION fs,
     scolarite.SCOL_FORMATION_ANNEE fa,
     scolarite.SCOL_FORMATION_GRADE fg1,
     scolarite.SCOL_FORMATION_FILIERE fg2
WHERE
       t.idipl_type_inscription = n.idipl_type_inscription
AND     fd.fgra_code  = fg2.ffil_code(+)
AND     fd.fgra_code  = fg1.fgra_code(+)
AND     fd.fdip_code  = fs.fdip_code
AND     fs.fspn_key   = n.dspe_code
AND     fa.fann_debut = h.hist_annee_scol
AND     n.hist_numero = h.hist_numero
AND     h.etud_numero = e.etud_numero
AND		fd.fdip_mention <> 'Fictif';

